---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: wildcard-issuer
spec:
  acme:
    server: https://acme-v02.api.letsencrypt.org/directory
    email: certificates@${BASE_DOMAIN}
    # Name of a secret used to store the ACME account private key
    privateKeySecretRef:
      name: wildcard-issuer
    # ACME DNS-01 provider configurations
    solvers:
    - selector:
        dnsZones:
          - "${BASE_DOMAIN}"
      dns01:
        route53:
          region: ${AWS_CERTIFICATE_ZONE}
          hostedZoneID: ${HOSTED_ZONE_ID}
          accessKeyID: ${AWS_ACCSESS_KEY_ID}
          secretAccessKeySecretRef:
            name: acme-route53
            key: secret-access-key
---
